std::_Weak_result_type_impl< _Functor >(3)

NAME
std::_Weak_result_type_impl< _Functor >

SYNOPSIS

Inherits std::_Maybe_get_result_type< _Functor >.

Inherited by std::_Weak_result_type_memfun< _Functor, bool >.

Detailed Description

  template<typename _Functor>
struct std::_Weak_result_type_impl< _Functor >" Base class for any function object that has a weak result type, as defined in 20.8.2 [func.require] of C++11.

Definition at line 125 of file refwrap.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.